package com.cf.imes.module.executor.enums.veneer;

import com.cf.imes.framework.common.core.IntArrayValuable;
import com.cf.imes.framework.excel.core.convert.BaseEnum;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 贴皮产品等级枚举
 *
 * @author Gqr
 * @since 2026/1/4 15:29
 */
@RequiredArgsConstructor
@Getter
public enum VeneerProductLevelEnum implements IntArrayValuable, BaseEnum {
    A(0,"veneer.product.level.A"),
    B(1,"veneer.product.level.B"),
    C(2,"veneer.product.level.C");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(VeneerProductLevelEnum::getCode).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }

    /**
     * 枚举值
     */
    private final Integer code;

    /**
     * 状态名
     */
    private final String desc;

}
